Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434366 - app-text/pastebin: malfunctions because pastebin.com has changed their API
Summary: app-text/pastebin: malfunctions because pastebin.com has changed their API
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo TreeCleaner Project
URL:
Whiteboard: Pending removal:2014-10-15
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2012-09-08 20:17 UTC by Dag Erik Vikan
Modified: 2014-11-02 22:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dag Erik Vikan 2012-09-08 20:17:29 UTC
dev@localhost ~ % echo 'sdf' | pastebin
THIS API HAS BEEN DISABLED. Please use Pastebin's new API. http://pastebin.com/api
dev@localhost ~ %
Comment 1 Dag Erik Vikan 2012-09-13 22:48:44 UTC
Below is email transcript from owner:

On Wed, Sep 12, 2012 at 9:53 AM, Dag Erik Vikan <dvikan@gmail.com> wrote:

> This tool:
> https://code.google.com/p/pastebin-cli/
>
> is packaged in many distros and broke when you changed the API. Please
> support the old API :)

The OLD api was very insecure, and was abused too much by spammers. Less
than 1% of items posted were not spam.

There is a new CLI you can find here: http://pastebin.com/tools#pastebincl

Jeroen
Comment 2 Vladimir 2014-07-28 14:07:36 UTC
Why this package is still in portage? It has no support for new API since 2012. A good replacement of this package, app-text/pastebinit, is already stabilized, and it's good time to thing about the removal.

Best regards, Vladimir.
Comment 3 Justin Lecher (RETIRED) gentoo-dev 2014-07-28 15:07:21 UTC
@treecleaner, could you please take action here?
Comment 4 Dion Moult (RETIRED) gentoo-dev 2014-09-14 23:12:42 UTC
# Dion Moult <moult@gentoo.org> (15 Sep 2014)
# It has no support for new API since 2012. A good replacement of this package,
# app-text/pastebinit, is already stabilized (bug #434366)
# Masked for removal in 30 days
app-text/pastebin
Comment 5 Andreas K. Hüttel gentoo-dev 2014-11-02 22:50:39 UTC
Package removed